MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026628Open CASCADE[OCCT] OCCT:Samplespublic2015-09-02 12:292015-10-23 20:49
Reporterapn 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026628: Button Erase (Delete where erase algorythm is used) works incorrect
DescriptionThere are two types of behavior of Erase in samples:
- crash trying to erase one highlight object;
- erase only first selected object trying to erase several shapes.
It caused by adding AddOrRemoveCurrentObject in function EraseGlobal in AIS_InteractiveContext.cxx.
Samples crashes on function NextCurrent which is called by OnObjectErase in OCC_3dBaseDoc.cpp.
To avoid this problem it's possible to change NextCurrent to InitCurrent in function erase in all samples or add some check in function NextCurrent in AIS_InteractiveContext_1.cxx.
Steps To ReproduceRun mfc sample (e.g. modeling), build few shapes, select one or several objects and try to erase.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0026153closedbugmaster Draw Harness, ViewerTest - "verase" does not remove selection highlight for shaded object 
related to 0026726closedbugmaster Draw Harness, ViewerTest - AIS_InteractiveContext::EraseSelected() lacks test case 

-  Notes
(0044969)
git (administrator)
2015-09-02 16:34

Branch CR26628 has been created by isk.

SHA-1: 6c2073897813f4eedc9f464beb71f8f4bdf70602


Detailed log of new commits:

Author: isk
Date: Wed Sep 2 16:33:58 2015 +0300

    0026628: Button Erase (Delete where erase algorythm is used) works incorrect
    Update AIS_InteractiveContext::EraseSelected() method.
(0044990)
git (administrator)
2015-09-03 11:01

Branch CR26628 has been updated by isk.

SHA-1: 0805d1a48f2716ea7ed38eeefec282bc6ff0d8d6


Detailed log of new commits:

Author: isk
Date: Thu Sep 3 11:01:19 2015 +0300

    Fix HLR sample

(0044993)
git (administrator)
2015-09-03 11:33

Branch CR26628 has been updated by isk.

SHA-1: a8f281c77df2ea14a8bbc80f1a6ed0fd6e335045


Detailed log of new commits:

Author: isk
Date: Thu Sep 3 11:33:32 2015 +0300

    Fix samples.

(0045043)
isk (developer)
2015-09-04 12:09

Dear Kirill,
please review the branch CR26628.
(0045053)
kgv (developer)
2015-09-04 13:07

Please test the patch and samples.
(0045065)
git (administrator)
2015-09-04 14:18

Branch CR26628 has been updated forcibly by mkv.

SHA-1: b8662487cf53ddaa5ad180eb7c00fc00899e3f2e
(0045185)
mkv (tester)
2015-09-07 19:10

Dear BugMaster,
Branch CR26628 was rebased on current master of occt git-repository.
SHA-1: b8662487cf53ddaa5ad180eb7c00fc00899e3f2e
(0045186)
mkv (tester)
2015-09-07 19:10

Dear BugMaster,
Branch CR26628 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: b8662487cf53ddaa5ad180eb7c00fc00899e3f2e

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

There is new additional compilation warning on Linux platform:
There are compilation errors in Qt samples products on windows platform:

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 92330512 / 91937745 [+0.43%]
Total CPU difference: 17797.78999999896 / 17713.55999999897 [+0.48%]
products component :
Total MEMORY difference: 25227524 / 25220029 [+0.03%]
Total CPU difference: 7072.640000000005 / 6936.800000000004 [+1.96%]

Testing on Windows:
occt component :
Total MEMORY difference: 57108857 / 57101025 [+0.01%]
Total CPU difference: 16456.919892399328 / 16228.628028999388 [+1.41%]
products component :
Total MEMORY difference: 16219687 / 16219655 [+0.00%]
Total CPU difference: 5411.159886699978 / 5397.61899989997 [+0.25%]

There are no differences in images found by testdiff.
(0045423)
mkv (tester)
2015-09-10 15:07

Dear BugMaster,
Erasing one or several objects in MFC Modeling sample was tested, it work correct.
(0045424)
mkv (tester)
2015-09-10 15:07

Dear BugMaster,
Branch CR26628 is TESTED.
(0047008)
git (administrator)
2015-10-16 16:37

Branch CR26628 has been deleted by kgv.

SHA-1: b8662487cf53ddaa5ad180eb7c00fc00899e3f2e

- Related Changesets
occt: master 7140edaf
Timestamp: 2015-09-10 14:26:45
Author: isk
Committer: bugmaster
Details ] Diff ]
0026628: Button Erase (Delete where erase algorythm is used) works incorrect

Update AIS_InteractiveContext::EraseSelected() method.

Fix HLR sample

Fix samples.
mod - samples/CSharp/OCCTProxy/OCCTProxy.cpp Diff ] File ]
mod - samples/CSharp/OCCTProxy_D3D/OCCTProxyD3D.cpp Diff ] File ]
mod - samples/mfc/standard/08_HLR/src/HLRDoc.cpp Diff ] File ]
mod - samples/mfc/standard/Common/OCC_3dBaseDoc.cpp Diff ] File ]
mod - samples/qt/Common/src/DocumentCommon.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-09-02 12:29 apn New Issue
2015-09-02 12:29 apn Assigned To => abv
2015-09-02 12:29 apn Status new => assigned
2015-09-02 12:29 apn Relationship added related to 0026153
2015-09-02 13:12 abv Assigned To abv => kgv
2015-09-02 13:39 kgv Assigned To kgv => isk
2015-09-02 13:39 kgv Target Version => 7.0.0
2015-09-02 14:21 abv Target Version 7.0.0 => 6.9.1
2015-09-02 16:34 git Note Added: 0044969
2015-09-03 11:01 git Note Added: 0044990
2015-09-03 11:33 git Note Added: 0044993
2015-09-04 12:09 isk Note Added: 0045043
2015-09-04 12:09 isk Assigned To isk => kgv
2015-09-04 12:09 isk Status assigned => resolved
2015-09-04 13:07 kgv Note Added: 0045053
2015-09-04 13:07 kgv Assigned To kgv => bugmaster
2015-09-04 13:07 kgv Status resolved => reviewed
2015-09-04 13:07 kgv Product Version 6.9.1 =>
2015-09-04 13:29 mkv Assigned To bugmaster => mkv
2015-09-04 14:18 git Note Added: 0045065
2015-09-07 19:10 mkv Note Added: 0045185
2015-09-07 19:10 mkv Note Added: 0045186
2015-09-10 15:07 mkv Note Added: 0045423
2015-09-10 15:07 mkv Note Added: 0045424
2015-09-10 15:07 mkv Assigned To mkv => bugmaster
2015-09-10 15:07 mkv Status reviewed => tested
2015-09-10 15:07 mkv Test case number => Not needed
2015-09-11 14:09 bugmaster Changeset attached => occt master 7140edaf
2015-09-11 14:09 bugmaster Status tested => verified
2015-09-11 14:09 bugmaster Resolution open => fixed
2015-09-28 12:45 vpa Relationship added related to 0026726
2015-10-16 14:55 aiv Status verified => closed
2015-10-16 16:37 git Note Added: 0047008
2015-10-23 20:49 aiv Fixed in Version => 6.9.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker